WPGXParser Class Referenceabstract

`#include <WPGXParser.h>`

Inheritance diagram for WPGXParser:

## Public Member Functions
| WPGXParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| WPGXParser (const WPGXParser &parser)
virtual | ~WPGXParser ()
virtual bool | parse ()=0
unsigned char | readU8 ()
unsigned short | readU16 ()
unsigned int | readU32 ()
short | readS16 ()
int | readS32 ()
unsigned int | readVariableLengthInteger ()
WPGXParser & | operator= (const WPGXParser &parser)

## Protected Attributes
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter
std::map< int, libwpg::WPGColor > | m_colorPalette

## Constructor & Destructor Documentation

## ◆ WPGXParser() [1/2]

WPGXParser::WPGXParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter )

Referenced by operator=(), parse(), WPG1Parser::WPG1Parser(), WPG2Parser::WPG2Parser(), and WPGXParser().

## ◆ WPGXParser() [2/2]

WPGXParser::WPGXParser | ( | const WPGXParser & | parser | ) |

## ◆ ~WPGXParser()

virtual WPGXParser::~WPGXParser | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ operator=()

WPGXParser & WPGXParser::operator= | ( | const WPGXParser & | parser | ) |

## ◆ parse()

virtual bool WPGXParser::parse | ( |  | ) |
| pure virtual

Implemented in WPG1Parser, and WPG2Parser.

## ◆ readS16()

short WPGXParser::readS16 | ( |  | ) |

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG1Parser::handleBitmapTypeOne(), WPG1Parser::handleBitmapTypeTwo(), WPG1Parser::handleCurvedPolyline(), WPG1Parser::handleEllipse(), WPG1Parser::handleGraphicsTextTypeOne(), WPG1Parser::handleGraphicsTextTypeTwo(), WPG1Parser::handleLine(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG1Parser::handlePolyline(), WPG2Parser::handlePolyline(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG1Parser::handleRectangle(), WPG2Parser::handleRectangle(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextBlock(), and WPG2Parser::handleTextLine().

## ◆ readS32()

int WPGXParser::readS32 | ( |  | ) |

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG1Parser::handleGraphicsTextTypeTwo(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), WPG2Parser::handleRectangle(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextBlock(), WPG2Parser::handleTextLine(), and WPG2Parser::parseCharacterization().

## ◆ readU16()

unsigned short WPGXParser::readU16 | ( |  | ) |

Referenced by WPG2Parser::handleBitmapData(), WPG2Parser::handleBrushForeColor(), WPG2Parser::handleBrushGradient(), WPG2Parser::handleBrushPattern(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG1Parser::handleCurvedPolyline(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPBrushGradient(), WPG2Parser::handleDPColorPalette(), WPG2Parser::handleDPPenBackColor(), WPG2Parser::handleDPPenForeColor(), WPG1Parser::handleEllipse(), WPG2Parser::handleFormSettings(), WPG1Parser::handleGraphicsTextAttributes(), WPG1Parser::handleGraphicsTextTypeOne(), WPG1Parser::handleGraphicsTextTypeTwo(), WPG2Parser::handleLayer(), WPG1Parser::handleLineAttributes(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), WPG1Parser::handlePageFormat(), WPG2Parser::handlePenSize(), WPG2Parser::handlePenStyle(), WPG2Parser::handlePenStyleDefinition(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG1Parser::handlePolyline(), WPG2Parser::handlePolyline(), WPG1Parser::handleStartWPG(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextLine(), WPG2Parser::parseCharacterization(), readS16(), and readVariableLengthInteger().

## ◆ readU32()

unsigned int WPGXParser::readU32 | ( |  | ) |

Referenced by WPG1Parser::handleCurvedPolyline(), WPG2Parser::handleDPPenSize(), WPG2Parser::handleFormSettings(), WPG1Parser::handleGroup(), WPG2Parser::handlePenStyleDefinition(), WPG1Parser::handlePostscriptTypeTwo(), WPG2Parser::handleTextLine(), WPG2Parser::parseCharacterization(), and readS32().

## ◆ readU8()

unsigned char WPGXParser::readU8 | ( |  | ) |

Referenced by WPG1Parser::decodeRLE(), WPG2Parser::handleBitmapData(), WPG2Parser::handleBrushBackColor(), WPG2Parser::handleBrushForeColor(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPPenBackColor(), WPG2Parser::handleDPPenForeColor(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleGraphicsTextAttributes(), WPG1Parser::handleGraphicsTextTypeOne(), WPG1Parser::handleGraphicsTextTypeTwo(), WPG1Parser::handleLineAttributes(), WPG2Parser::handleObjectCapsule(), WPG1Parser::handlePageFormat(), WPG2Parser::handlePenBackColor(), WPG2Parser::handlePenForeColor(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextLine(), WPG1Parser::parse(), WPG2Parser::parse(), readU16(), readU32(), and readVariableLengthInteger().

## ◆ readVariableLengthInteger()

unsigned int WPGXParser::readVariableLengthInteger | ( |  | ) |

Referenced by WPG1Parser::parse(), and WPG2Parser::parse().

## Member Data Documentation

## ◆ m_colorPalette

std::map<int,libwpg::WPGColor> WPGXParser::m_colorPalette
| protected

Referenced by WPG1Parser::fillPixels(), WPG2Parser::handleBitmapData(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPColorPalette(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleGraphicsTextAttributes(), WPG1Parser::handleLineAttributes(), operator=(), WPG1Parser::resetPalette(), WPG2Parser::resetPalette(), WPGXParser(), and WPGXParser().

## ◆ m_input

librevenge::RVNGInputStream* WPGXParser::m_input
| protected

Referenced by WPG1Parser::closeGroup(), WPG1Parser::decodeRLE(), WPG2Parser::getRemainingRecordLength(), WPG2Parser::handleBitmapData(), WPG1Parser::handleCurvedPolyline(), WPG2Parser::handleFormSettings(), WPG1Parser::handleGraphicsTextAttributes(), WPG1Parser::handleGroup(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), WPG1Parser::handlePageFormat(), WPG1Parser::handlePolygon(), WPG1Parser::handlePolyline(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG1Parser::handleStartWPG(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextData(), operator=(), WPG1Parser::parse(), WPG2Parser::parse(), readU8(), WPGXParser(), and WPGXParser().

## ◆ m_painter

librevenge::RVNGDrawingInterface* WPGXParser::m_painter
| protected

Referenced by WPG1Parser::closeGroup(), WPG2Parser::flushCompoundPolygon(), WPG2Parser::handleArc(), WPG2Parser::handleBitmapData(), WPG1Parser::handleBitmapTypeOne(), WPG1Parser::handleBitmapTypeTwo(), WPG1Parser::handleCurvedPolyline(), WPG1Parser::handleEllipse(), WPG1Parser::handleEndWPG(), WPG2Parser::handleEndWPG(), WPG1Parser::handleGraphicsTextTypeOne(), WPG1Parser::handleGraphicsTextTypeTwo(), WPG1Parser::handleGroup(), WPG2Parser::handleLayer(), WPG1Parser::handleLine(), WPG2Parser::handleObjectImage(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG1Parser::handlePolyline(), WPG2Parser::handlePolyline(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG1Parser::handleRectangle(), WPG2Parser::handleRectangle(), WPG1Parser::handleStartWPG(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextData(), operator=(), WPGXParser(), and WPGXParser().

The documentation for this class was generated from the following files:

- WPGXParser.h
- WPGXParser.cpp